// A separate decoder is needed for PCM audio data because the JavaSound API
// cannot automatically identify raw PCM audio data.
//
// Call setOutputFormat() to specify the type of PCM stream being played.

package com.tightvnc.decoder.audio;

import com.tightvnc.vncviewer.RfbInputStream;
import com.tightvnc.decoder.audio.AudioDecoder;
import java.io.DataInputStream;
import java.io.InputStream;
import javax.sound.sampled.AudioFormat;

public class PCMDecoder extends AudioDecoder {

  public PCMDecoder(RfbInputStream is) {
    super(is);
  }

  public PCMDecoder(DataInputStream is) {
    super(is);
  }

  protected InputStream prepareDecoder(InputStream originalStream, AudioFormat outputFormat) {
    return originalStream;
  }

}
